Package de.willuhn.jameica.hbci.gui.parts

# Class PassportTree

java.lang.Object
de.willuhn.jameica.gui.parts.AbstractTablePart
de.willuhn.jameica.gui.parts.TreePart
de.willuhn.jameica.hbci.gui.parts.PassportTree

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Part`

public class PassportTree extends de.willuhn.jameica.gui.parts.TreePart
Fertig konfigurierter Tree, der die HBCI-Sicherheitsmedien anzeigt.

## Nested Class Summary

## Nested classes/interfaces inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`de.willuhn.jameica.gui.parts.AbstractTablePart.AbstractTableItem`

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`action, changeable, checkable, columns, menu, multi, rememberColWidth, rememberOrder, rememberState, selectionListeners, settings`

## Constructor Summary

Constructors
Constructor
Description
`PassportTree()`
ct.

## Method Summary

Modifier and Type
Method
Description
`Passport`
`getPassport()`
Liefert den selektierten Passport.

### Methods inherited from class de.willuhn.jameica.gui.parts.TreePart

`createFeatureEventContext, getChildren, getItems, getSelection, handleDoubleClick, handleMouseDown, handleMouseUp, handleSingleClick, paint, removeAll, restoreState, select, setChecked, setExpanded, setExpanded, setExpanded, setFormatter, setList, setList, setRootObject, size`

### Methods inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`addColumn, addColumn, addColumn, addColumn, addColumn, addFeature, addFeature, addSelectionListener, asList, featureEvent, getFeature, hasEvent, isMulti, removeFeature, select, setCheckable, setChecked, setContextMenu, setMulti, setRememberColWidths, setRememberOrder, setRememberState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PassportTree

public PassportTree() throws RemoteException
ct.

Throws:
  `RemoteException`

## Method Details

### getPassport

public Passport getPassport()
Liefert den selektierten Passport.

Returns:
  der selektierte Passport oder NULL.